<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstParentPosition2 Method (IEdmReference7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference7 Interface : GetFirstParentPosition2 Method (IEdmReference7)

Visual Basic
C#
C++/CLI

lVersionOrZero
  Non-0 value enumerates the files referencing the specified version of the file; argument is ignored if value is 0

bGetAllParentVersions
  True to return all versions, of all parents, referencing this file; false to return on the latest referencing version

lEdmRefFlags
  Types of references that you want enumerated as defined in EdmRefFlags

Starts an enumeration of parent references.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstParentPosition2( _
       ByVal lVersionOrZero As System.Integer, _
       ByVal bGetAllParentVersions As System.Boolean, _
       ByVal lEdmRefFlags As System.Integer _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstParentPosition2(
       System.int lVersionOrZero,
       System.bool bGetAllParentVersions,
       System.int lEdmRefFlags
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstParentPosition2(
    &   System.int lVersionOrZero,
    &   System.bool bGetAllParentVersions,
    &   System.int lEdmRefFlags
    )

#### Parameters

lVersionOrZero
  Non-0 value enumerates the files referencing the specified version of the file; argument is ignored if value is 0
bGetAllParentVersions
  True to return all versions, of all parents, referencing this file; false to return on the latest referencing version
lEdmRefFlags
  Types of references that you want enumerated as defined in EdmRefFlags

#### Return Value

Position of first file referencing this file

# Example

See the IEdmReference7 examples.

# Remarks

Pass the position to IEdmReference5::GetNextParent to continue to enumerate all of the parent files.

C++ programmers not using smart-pointer wrapper functions must release the position.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmReference7 Interface
IEdmReference7 Members

# Availability

SOLIDWORKS PDM Professional 2010